import Tile from './Tile';
import { TileFactory, TileKeyObject } from './types';

/**
 * 
 * @param keyObject The tile identifier
 * @returns The `<Tile>` component
 */
export const tileFactory: TileFactory = (keyObject:TileKeyObject) => (
  <Tile
    href={`https://tile.openstreetmap.org/${keyObject.zoomLevel}/${keyObject.x}/${keyObject.y}.png`}
  />
);

export default tileFactory;
